List of all members
clan::SoundFilter Class Reference
clanSound Audio Mixing

Sound Filter Class. More...

`#include <soundfilter.h>`

Inheritance diagram for clan::SoundFilter:

## Public Member Functions
Construction
| SoundFilter ()
| Constructs a NULL instance. More...
| SoundFilter (SoundFilterProvider *provider)
| Constructs a sound filter. More...
| ~SoundFilter ()
Operators
bool | operator== (const SoundFilter &other) const
| Equality operator. More...
bool | operator!= (const SoundFilter &other) const
| Inequality operator. More...
Operations
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
SoundFilterProvider * | get_provider () const
| Retrieves the provider. More...
void | filter (float **sample_data, int num_samples, int channels)
| Filter callback. More...

## Public Attributes
Implementation
std::shared_ptr< SoundFilter_Impl > | impl

## Detailed Description

Sound Filter Class.

The documentation for this class was generated from the following file:

- soundfilter.h